Package org.apache.sling.jcr.webconsole.internal

## Class NamespacesPrinter

- java.lang.Object
- - org.apache.sling.jcr.webconsole.internal.NamespacesPrinter

All Implemented Interfaces:
  `org.apache.felix.inventory.InventoryPrinter`

    public class NamespacesPrinter
    extends Object
    implements org.apache.felix.inventory.InventoryPrinter

A Felix WebConsole ConfigurationPrinter which outputs the current JCR namespace mappings.

### Field Summary

### Fields inherited from interface org.apache.felix.inventory.InventoryPrinter

`FORMAT, NAME, SERVICE, TITLE, WEBCONSOLE`

### Constructor Summary

Constructors
`NamespacesPrinter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `print​(PrintWriter printWriter, org.apache.felix.inventory.Format format, boolean isZip)` Output a list of namespace prefixes and URIs from the NamespaceRegistry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamespacesPrinter

    public NamespacesPrinter()

### Method Detail

#### print

    public void print​(PrintWriter printWriter,
                      org.apache.felix.inventory.Format format,
                      boolean isZip)

Output a list of namespace prefixes and URIs from the NamespaceRegistry.

Specified by:
  `print` in interface `org.apache.felix.inventory.InventoryPrinter`